### DB->get_env |

`

###

    #include <db.h>

    DB_ENV *
    DB->getenv(DB *db);

### Description: DB->get_env

The DB->get_env method returns the handle for the database environment underlying the database.

The DB->get_env method may be called at any time during the life of the application.

The DB->get_env method returns a non-zero error value on failure and 0 on success.

### Parameters

db
  The DB->get_env method returns the handle for the database environment underlying the database in db.

### Class

DB

### See Also

Databases and Related Methods`

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.